void setup_evalve()
{
  pinMode(evalv11, OUTPUT);
  pinMode(evalv12, OUTPUT);
  man_lock();
}

/*--------------------- MANU -----------------*/
//funciones basicas de apertura y cierre para usar de forma manual
int man_open()
{ // abre la garra
  digitalWrite(evalv11, LOW);
  digitalWrite(evalv12, LOW);  
}

int man_close()
{ // cierra la garra
  digitalWrite(evalv11, HIGH);
  digitalWrite(evalv12, HIGH); 
}

int man_lock()
{ // bloquea la garra, evita que se llene o vacie
  digitalWrite(evalv11, LOW);
  digitalWrite(evalv12, HIGH); 
}

/*--------------------- AUTO -----------------*/
//gestion automatica de los movimiento de la garra

int auto_close(int sens,int percent)
{  
  bool done = false;
  int val = 0;
  unsigned long int time_ini = millis();
  //monitorizar valor, si no varía cortar función
  
  do{ 
    read_sens();//lee sensores
    val = map(sx_val[sens], sx_min[sens], sx_max[sens], 0, 100); //mapeado de la señal a escala de porcentajes
    
    if(val<100)//comprueba que no supera el limite superior
    {
      if(val< percent+2 && val>percent-2)//objetivo alcanzado 2%error 
       {  
        man_lock();
        return 1; //objetivo alcanzado
       }
      if(val<percent+2)//necesario cerrar 
        man_close();
        
      if(val>percent-2)//necesario abrir 
        man_open();
  
      
    }else{ return -1; } //error límite superior 
    if(val<-5){ return -2;} //error limite inferior ( 5% margen)
    if(millis()-time_ini > 3000){ return -3;} //error tiempo excedido
    
  }while(!done);

 
}
